B4J Question Libpi4j.so loading problem

hogiebaer

Active Member
Licensed User
Hi to all,

have a big problem. Have a raspberry 2 with wheezy image and need for my project the Library Libpi4j to control the GPIO features on the board.

After compile over the Bridge the software ends with th following error :


Nov 19, 2018 2:59:07 PM com.pi4j.util.NativeLibraryLoader load
SCHWERWIEGEND: Unable to load [libpi4j.so] using path: [/lib/raspberrypi/static/libpi4j.so]
java.lang.UnsatisfiedLinkError: /tmp/libpi4j4407142043326117742.so: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.17' not found (required by /tmp/libpi4j4407142043326117742.so)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1929)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1814)
at java.lang.Runtime.load0(Runtime.java:809)
at java.lang.System.load(System.java:1083)
at com.pi4j.util.NativeLibraryLoader.loadLibraryFromClasspath(NativeLibraryLoader.java:148)
at com.pi4j.util.NativeLibraryLoader.load(NativeLibraryLoader.java:97)
at com.pi4j.wiringpi.Gpio.<clinit>(Gpio.java:189)
at com.pi4j.io.gpio.RaspiGpioProvider.<init>(RaspiGpioProvider.java:69)
...
...
...


I can read from the error message, there is a problem with the GLIBC_2.17.
After check the version from the RASP i found out, here is only GLIBC_2.13 on board.
What can i do ?? A upgrade seems after hours of use google not possible, or have u another idea ??

Many thx

Holger
 
Last edited:
Top